For the complete documentation index, see llms.txt. This page is also available as Markdown.

Automated Tests

The Automated Tests API contains all methods related to all models used in Automated Tests.

API SUBPATH: eva-automated-tests

This API covers all Models used in Automated Tests: There's the Automated Test itself, which contains it's provided Utterances, and then their executions and results as both an Automated Tests Executions collection and a Utterance Executions collection.

Automated Tests

Once created, an automated test is then listed as an execution which still didn't run. Hence, there is no pagination for Automated Tests.

Creates a new Automated Test

post
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

Query parameters
channelstringRequired

A valid channel Uuid

namestringRequired

A valid name to the test

Body
filestring · binaryRequired

File with data to test

Responses
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-tests

Submits a new file for an existing, unexecuted Automated Test.

post
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

testUUIDstringRequired

A valid automated test execution Uuid

Query parameters
channelstringRequired

A valid channel Uuid

namestringRequired

A valid name to the test

Body
filestring · binaryRequired

File with data to test

Responses
200

Ok

application/json

DTO response when create or update successfully a automated test

messagestringOptional

Message with success or not

post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-tests/{testUUID}

Automated Test Executions

Runs or re-runs an Automated Test.

post
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

testUUIDstringRequired

A valid automated test execution Uuid

Responses
200

Ok

*/*

DTO response when execute tests

testIdstringOptional

Automated test execution uuid

statusstring · enumOptional

Automated test execution status

Possible values:
post
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution/{testUUID}

Retrieves the test assertiveness of a given Automated Test Execution.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

testUUIDstringRequired

A valid automated test execution Uuid

Responses
200

Ok

*/*

DTO response when get the assertiveness of test

testIdstringOptional

Automated test execution uuid

testNamestringOptional

Automated test execution name

countOfTestsinteger · int64Optional

Automated test execution tests executed

lastUpdatedinteger · int64Optional

Automated test execution last updated

statusstring · enumOptional

Automated test execution status

Possible values:
totalSentencesinteger · int32Optional

Automated test execution number of utterances

get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution/{testUUID}/assertiveness

Acquires a pagination of all Automated Tests.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

Query parameters
orderBystringOptional

Field want to sort by. Default is 'updatedAt'; other available terms are 'name' and 'score'.

Default: updatedAt
directionstringOptional

Direction of ordenation, ASC or DESC. The default is DESC

Default: DESC
pageinteger · int32Optional

The number of page and the default is 1

Default: 1Example: 1
sizeinteger · int32Optional

The number of services per pages and the default is 5

Default: 5Example: 1
Responses
200

Ok

*/*
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution

Utterance

Acquires a pagination of all Utterances belonguing to a given Automated Test.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

testUUIDstringRequired

A valid automated test execution Uuid

Query parameters
pageinteger · int32Optional

The number of page and the default is 1

Default: 1Example: 1
sizeinteger · int32Optional

The number of services per pages and the default is 5

Default: 5Example: 1
Responses
200

Ok

*/*
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterances/{testUUID}

Utterance Executions

Acquires a pagination of all Utterance Execution results belonguing to a given Automated Test Execution.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

testUUIDstringRequired

A valid bot Uuid

Query parameters
filterstringRequired

LOW, AVERAGE, HIGH or ALL

pageinteger · int32Optional

The number of page and the default is 1

Default: 1Example: 1
sizeinteger · int32Optional

The number of services per pages and the default is 5

Default: 5Example: 1
Responses
200

Ok

*/*
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterance-execution/{testUUID}

Exports all the data of an automated test. In the Cockpit, this is consumed and delivered as a .xls file.

get
Path parameters
orgUUIDstringRequired

A valid organization Uuid

envUUIDstringRequired

A valid environment Uuid

botUUIDstringRequired

A valid bot Uuid

testUUIDstringRequired

A valid bot Uuid

Query parameters
filterstringRequired

LOW, AVERAGE, HIGH or ALL

Responses
200

Ok

*/*
totalPagesinteger · int32Optional
totalElementsinteger · int64Optional
numberOfElementsinteger · int32Optional
sizeinteger · int32Optional
numberinteger · int32Optional
firstbooleanOptional
lastbooleanOptional
emptybooleanOptional
get
/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterance-execution/{testUUID}/export

Last updated

Was this helpful?